diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/uan/model/uan-prop-model.cc ns-3.44/src/uan/model/uan-prop-model.cc
--- ns-3.43/src/uan/model/uan-prop-model.cc	2024-10-09 16:41:10.104656700 -0700
+++ ns-3.44/src/uan/model/uan-prop-model.cc	2025-03-09 16:55:49.735372300 -0700
@@ -68,7 +68,7 @@
 
 Tap::Tap()
     : m_amplitude(0.0),
-      m_delay(Seconds(0))
+      m_delay()
 {
 }
 
@@ -104,7 +104,7 @@
     : m_resolution(resolution)
 {
     m_taps.resize(amps.size());
-    Time arrTime = Seconds(0);
+    Time arrTime;
     for (uint32_t index = 0; index < amps.size(); index++)
     {
         m_taps[index] = Tap(arrTime, amps[index]);
@@ -116,7 +116,7 @@
     : m_resolution(resolution)
 {
     m_taps.resize(amps.size());
-    Time arrTime = Seconds(0);
+    Time arrTime;
     for (uint32_t index = 0; index < amps.size(); index++)
     {
         m_taps[index] = Tap(arrTime, amps[index]);
@@ -187,7 +187,7 @@
 std::complex<double>
 UanPdp::SumTapsFromMaxC(Time delay, Time duration) const
 {
-    if (m_resolution <= Seconds(0))
+    if (m_resolution.IsNegative())
     {
         NS_ASSERT_MSG(GetNTaps() == 1,
                       "Attempted to sum taps over time interval in "
@@ -225,7 +225,7 @@
 double
 UanPdp::SumTapsFromMaxNc(Time delay, Time duration) const
 {
-    if (m_resolution <= Seconds(0))
+    if (m_resolution.IsNegative())
     {
         NS_ASSERT_MSG(GetNTaps() == 1,
                       "Attempted to sum taps over time interval in "
@@ -265,13 +265,13 @@
 double
 UanPdp::SumTapsNc(Time begin, Time end) const
 {
-    if (m_resolution <= Seconds(0))
+    if (m_resolution.IsNegative())
     {
         NS_ASSERT_MSG(GetNTaps() == 1,
                       "Attempted to sum taps over time interval in "
                       "UanPdp with resolution 0 and multiple taps");
 
-        if (begin <= Seconds(0.0) && end >= Seconds(0.0))
+        if (begin.IsNegative() && end.IsPositive())
         {
             return std::abs(m_taps[0].GetAmp());
         }
@@ -296,13 +296,13 @@
 std::complex<double>
 UanPdp::SumTapsC(Time begin, Time end) const
 {
-    if (m_resolution <= Seconds(0))
+    if (m_resolution.IsNegative())
     {
         NS_ASSERT_MSG(GetNTaps() == 1,
                       "Attempted to sum taps over time interval in "
                       "UanPdp with resolution 0 and multiple taps");
 
-        if (begin <= Seconds(0.0) && end >= Seconds(0.0))
+        if (begin.IsNegative() && end.IsPositive())
         {
             return m_taps[0].GetAmp();
         }
@@ -330,6 +330,7 @@
 {
     double sumNc = 0.0;
     std::vector<Tap> newTaps;
+    newTaps.reserve(GetNTaps());
 
     for (uint32_t i = 0; i < GetNTaps(); i++)
     {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/uan/model/uan-prop-model.h ns-3.44/src/uan/model/uan-prop-model.h
--- ns-3.43/src/uan/model/uan-prop-model.h	2024-10-09 16:41:10.104656700 -0700
+++ ns-3.44/src/uan/model/uan-prop-model.h	2025-03-09 16:55:49.735372300 -0700
@@ -23,7 +23,7 @@
 class UanTxMode;
 
 /**
- * \ingroup uan
+ * @ingroup uan
  *
  * Holds PDP Tap information (amplitude and delay)
  */
@@ -37,19 +37,19 @@
     /**
      * Constructor
      *
-     * \param delay Time delay (usually from first arrival) of signal
-     * \param amp Complex amplitude of arrival
+     * @param delay Time delay (usually from first arrival) of signal
+     * @param amp Complex amplitude of arrival
      */
     Tap(Time delay, std::complex<double> amp);
     /**
      * Get the complex amplitude of arrival.
      *
-     * \return The amplitude.
+     * @return The amplitude.
      */
     std::complex<double> GetAmp() const;
     /**
      * Get the delay time, usually from first arrival of signal.
-     * \return The time delay.
+     * @return The time delay.
      */
     Time GetDelay() const;
 
@@ -60,7 +60,7 @@
 }; // class Tap
 
 /**
- * \ingroup uan
+ * @ingroup uan
  *
  * The power delay profile returned by propagation models.
  *
@@ -89,22 +89,22 @@
     /**
      * Create PDP object from a vector of Tap objects.
      *
-     * \param taps Taps to include in this PDP.
-     * \param resolution Resolution of PDP object.
+     * @param taps Taps to include in this PDP.
+     * @param resolution Resolution of PDP object.
      */
     UanPdp(std::vector<Tap> taps, Time resolution);
     /**
      * Create PDP object from vector of arrival amplitudes.
      *
-     * \param arrivals  Vector of complex amplitude arrivals.
-     * \param resolution Time duration between arrivals in vector.
+     * @param arrivals  Vector of complex amplitude arrivals.
+     * @param resolution Time duration between arrivals in vector.
      */
     UanPdp(std::vector<std::complex<double>> arrivals, Time resolution);
     /**
      * Create PDP object from real valued arrival amplitudes.
      *
-     * \param arrivals Vector of real valued arrivals.
-     * \param resolution Time duration between arrivals in vector.
+     * @param arrivals Vector of real valued arrivals.
+     * @param resolution Time duration between arrivals in vector.
      */
     UanPdp(std::vector<double> arrivals, Time resolution);
     /** Dummy destructor, see DoDispose. */
@@ -117,51 +117,51 @@
      * The tap vector will be expanded to accommodate the requested
      * index.
      *
-     * \param arrival Complex arrival value.
-     * \param index Index of arrival.
+     * @param arrival Complex arrival value.
+     * @param index Index of arrival.
      */
     void SetTap(std::complex<double> arrival, uint32_t index);
     /**
      * Resize the tap vector.
      *
-     * \param nTaps Number of taps in this PDP
+     * @param nTaps Number of taps in this PDP
      */
     void SetNTaps(uint32_t nTaps);
     /**
      * Set the time duration (resolution) between arrivals.
      *
-     * \param resolution The resolution.
+     * @param resolution The resolution.
      */
     void SetResolution(Time resolution);
     /**
      * Get the beginning of the tap vector.
      *
-     * \return Iterator positioned at first arrival.
+     * @return Iterator positioned at first arrival.
      */
     Iterator GetBegin() const;
     /**
      * Get the end of the tap list (one beyond the last entry).
      *
-     * \return Iterator positioned after last arrival
+     * @return Iterator positioned after last arrival
      */
     Iterator GetEnd() const;
     /**
      * Get the number of taps.
      *
-     * \return Number of taps in PDP.
+     * @return Number of taps in PDP.
      */
     uint32_t GetNTaps() const;
     /**
      * Get the Tap at the specified delay index.
      *
-     * \param i Index number of tap to return (0 based).
-     * \return Tap object at index i.
+     * @param i Index number of tap to return (0 based).
+     * @return Tap object at index i.
      */
     const Tap& GetTap(uint32_t i) const;
     /**
      * Get the delay time resolution (time duration between arrivals).
      *
-     * \return Resolution of PDP.
+     * @return Resolution of PDP.
      */
     Time GetResolution() const;
     /**
@@ -173,9 +173,9 @@
      * ignoring phase difference) all arrivals between a start
      * and end time.
      *
-     * \param begin Time value to begin summing arrivals.
-     * \param end Time value to end summing arrivals.
-     * \return Non-coherent sum of arrivals between two time values.
+     * @param begin Time value to begin summing arrivals.
+     * @param end Time value to end summing arrivals.
+     * @return Non-coherent sum of arrivals between two time values.
      */
     double SumTapsNc(Time begin, Time end) const;
     /**
@@ -187,9 +187,9 @@
      * considering phase difference) all arrivals between a start
      * and end time.
      *
-     * \param begin Time value to begin summing arrivals.
-     * \param end Time value to end summing arrivals.
-     * \return Coherent sum of arrivals between two time values.
+     * @param begin Time value to begin summing arrivals.
+     * @param end Time value to end summing arrivals.
+     * @return Coherent sum of arrivals between two time values.
      */
     std::complex<double> SumTapsC(Time begin, Time end) const;
     /**
@@ -201,9 +201,9 @@
      * ignoring phase difference) all arrivals in a given duration
      * starting the given time after the maximum amplitude arrival received.
      *
-     * \param delay Time duratation after max to begin summing arrivals.
-     * \param duration Time duration to sum arrivals for.
-     * \return Non-coherent sum of arrivals after max in given window.
+     * @param delay Time duratation after max to begin summing arrivals.
+     * @param duration Time duration to sum arrivals for.
+     * @return Non-coherent sum of arrivals after max in given window.
      */
     double SumTapsFromMaxNc(Time delay, Time duration) const;
     /**
@@ -215,21 +215,21 @@
      * considering phase difference) all arrivals in a given duration
      * starting the given time after the maximum amplitude arrival received
      *
-     * \param delay Time duratation after max to begin summing arrivals.
-     * \param duration Time duration to sum arrivals for.
-     * \return Coherent sum of arrivals after max in given window.
+     * @param delay Time duratation after max to begin summing arrivals.
+     * @param duration Time duration to sum arrivals for.
+     * @return Coherent sum of arrivals after max in given window.
      */
     std::complex<double> SumTapsFromMaxC(Time delay, Time duration) const;
     /**
      * Creates a new UanPdp normalized to its non coherent sum.
-     * \see SumTapsNc
-     * \returns the new PDP
+     * @see SumTapsNc
+     * @returns the new PDP
      */
     UanPdp NormalizeToSumNc() const;
     /**
      * Get a unit impulse PDP at time 0.
      *
-     * \return The unit impulse.
+     * @return The unit impulse.
      */
     static UanPdp CreateImpulsePdp();
 
@@ -243,28 +243,28 @@
 }; // class UanPdp
 
 /**
- * \ingroup uan
+ * @ingroup uan
  *
  * Writes PDP to stream as list of arrivals
  *
- * \param os The output stream.
- * \param pdp The PDP.
- * \return The output stream.
+ * @param os The output stream.
+ * @param pdp The PDP.
+ * @return The output stream.
  */
 std::ostream& operator<<(std::ostream& os, const UanPdp& pdp);
 /**
- * \ingroup uan
+ * @ingroup uan
  *
  * Reads in list of arrivals from stream is
  *
- * \param is The input stream.
- * \param pdp The PDP variable to set.
- * \return The input stream.
+ * @param is The input stream.
+ * @param pdp The PDP variable to set.
+ * @return The input stream.
  */
 std::istream& operator>>(std::istream& is, UanPdp& pdp);
 
 /**
- * \ingroup uan
+ * @ingroup uan
  *
  * Base class for implemented underwater propagation models
  */
@@ -273,36 +273,36 @@
   public:
     /**
      * Register this type.
-     * \return The object TypeId.
+     * @return The object TypeId.
      */
     static TypeId GetTypeId();
 
     /**
      * Computes pathloss between nodes a and b.
      *
-     * \param a Ptr to mobility model of node a
-     * \param b Ptr to mobility model of node b
-     * \param txMode TX mode of transmission between a and b
-     * \return Pathloss in dB re 1 uPa
+     * @param a Ptr to mobility model of node a
+     * @param b Ptr to mobility model of node b
+     * @param txMode TX mode of transmission between a and b
+     * @return Pathloss in dB re 1 uPa
      */
     virtual double GetPathLossDb(Ptr<MobilityModel> a, Ptr<MobilityModel> b, UanTxMode txMode) = 0;
 
     /**
      * Get the PDP for the path between two nodes.
      *
-     * \param a Ptr to mobility model of node a.
-     * \param b Ptr to mobility model of node b.
-     * \param mode TX mode of transmission from a to b.
-     * \return PDP for link between nodes a and b.
+     * @param a Ptr to mobility model of node a.
+     * @param b Ptr to mobility model of node b.
+     * @param mode TX mode of transmission from a to b.
+     * @return PDP for link between nodes a and b.
      */
     virtual UanPdp GetPdp(Ptr<MobilityModel> a, Ptr<MobilityModel> b, UanTxMode mode) = 0;
     /**
      * Finds propagation delay between nodes a and b.
      *
-     * \param a Ptr to mobility model of node a.
-     * \param b Ptr to mobility model of node b.
-     * \param mode TX mode of transmission.
-     * \return Propagation delay.
+     * @param a Ptr to mobility model of node a.
+     * @param b Ptr to mobility model of node b.
+     * @param mode TX mode of transmission.
+     * @return Propagation delay.
      */
     virtual Time GetDelay(Ptr<MobilityModel> a, Ptr<MobilityModel> b, UanTxMode mode) = 0;
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/uan/model/uan-prop-model-ideal.h ns-3.44/src/uan/model/uan-prop-model-ideal.h
--- ns-3.43/src/uan/model/uan-prop-model-ideal.h	2024-10-09 16:41:10.104656700 -0700
+++ ns-3.44/src/uan/model/uan-prop-model-ideal.h	2025-03-09 16:55:49.731372400 -0700
@@ -18,7 +18,7 @@
 {
 
 /**
- * \ingroup uan
+ * @ingroup uan
  *
  * Ideal propagation model (no pathloss, impulse PDP).
  */
@@ -32,7 +32,7 @@
 
     /**
      * Register this type.
-     * \return The object TypeId.
+     * @return The object TypeId.
      */
     static TypeId GetTypeId();
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/uan/model/uan-prop-model-thorp.h ns-3.44/src/uan/model/uan-prop-model-thorp.h
--- ns-3.43/src/uan/model/uan-prop-model-thorp.h	2024-10-09 16:41:10.104656700 -0700
+++ ns-3.44/src/uan/model/uan-prop-model-thorp.h	2025-03-09 16:55:49.735372300 -0700
@@ -17,7 +17,7 @@
 class UanTxMode;
 
 /**
- * \ingroup uan
+ * @ingroup uan
  *
  * Uses Thorp's approximation to compute pathloss.  Assumes implulse PDP.
  */
@@ -31,7 +31,7 @@
 
     /**
      * Register this type.
-     * \return The object TypeId.
+     * @return The object TypeId.
      */
     static TypeId GetTypeId();
 
@@ -43,14 +43,14 @@
   private:
     /**
      * Get the attenuation in dB / 1000 yards.
-     * \param freqKhz The channel center frequency, in kHz.
-     * \return The attenuation, in dB / 1000 yards.
+     * @param freqKhz The channel center frequency, in kHz.
+     * @return The attenuation, in dB / 1000 yards.
      */
     double GetAttenDbKyd(double freqKhz);
     /**
      * Get the attenuation in dB / km.
-     * \param freqKhz The channel center frequency, in kHz.
-     * \return The attenuation, in dB/km.
+     * @param freqKhz The channel center frequency, in kHz.
+     * @return The attenuation, in dB/km.
      */
     double GetAttenDbKm(double freqKhz);
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/uan/model/uan-transducer.h ns-3.44/src/uan/model/uan-transducer.h
--- ns-3.43/src/uan/model/uan-transducer.h	2024-10-09 16:41:10.104656700 -0700
+++ ns-3.44/src/uan/model/uan-transducer.h	2025-03-09 16:55:49.755372500 -0700
@@ -24,7 +24,7 @@
 class UanChannel;
 
 /**
- * \ingroup uan
+ * @ingroup uan
  *
  * Class consisting of packet arrival information (Time, RxPower, mode, PDP).
  */
@@ -39,11 +39,11 @@
     /**
      * Constructor.
      *
-     * \param packet Packet arriving.
-     * \param rxPowerDb RX signal power in dB of arriving packet.
-     * \param txMode TX mode of arriving packet.
-     * \param pdp Power delay profile of arriving packet.
-     * \param arrTime Arrival time of packet.
+     * @param packet Packet arriving.
+     * @param rxPowerDb RX signal power in dB of arriving packet.
+     * @param txMode TX mode of arriving packet.
+     * @param pdp Power delay profile of arriving packet.
+     * @param arrTime Arrival time of packet.
      */
     UanPacketArrival(Ptr<Packet> packet,
                      double rxPowerDb,
@@ -67,7 +67,7 @@
     /**
      * Get the arriving packet.
      *
-     * \return Pointer to packet.
+     * @return Pointer to packet.
      */
     inline Ptr<Packet> GetPacket() const
     {
@@ -77,7 +77,7 @@
     /**
      * Get the received signal strength.
      *
-     * \return Received signal strength in dB re 1uPa
+     * @return Received signal strength in dB re 1uPa
      */
     inline double GetRxPowerDb() const
     {
@@ -87,7 +87,7 @@
     /**
      * Get the transmission mode of the packet.
      *
-     * \return UanTxMode.
+     * @return UanTxMode.
      */
     inline const UanTxMode& GetTxMode() const
     {
@@ -97,7 +97,7 @@
     /**
      * Get the packet arrival time.
      *
-     * \return Arrival time.
+     * @return Arrival time.
      */
     inline Time GetArrivalTime() const
     {
@@ -107,7 +107,7 @@
     /**
      * Get the propagation delay profile.
      *
-     * \return PDP of arriving signal.
+     * @return PDP of arriving signal.
      */
     inline UanPdp GetPdp() const
     {
@@ -124,7 +124,7 @@
 }; // class UanPacketArrival
 
 /**
- * \ingroup uan
+ * @ingroup uan
  *
  * Virtual base for Transducer objects.
  *
@@ -137,7 +137,7 @@
   public:
     /**
      * Register this type.
-     * \return The object TypeId.
+     * @return The object TypeId.
      */
     static TypeId GetTypeId();
 
@@ -156,65 +156,65 @@
     /**
      * Get the transducer state.
      *
-     * \return State (TX or RX) of this transducer.
+     * @return State (TX or RX) of this transducer.
      */
     virtual State GetState() const = 0;
 
     /**
      * Is the state receiving (or available for reception)?
      *
-     * \return True if this transducer is available for receiving
+     * @return True if this transducer is available for receiving
      *   an incoming packet.
      */
     virtual bool IsRx() const = 0;
     /**
      * Is the state transmitting?
      *
-     * \return True if there is a packet being transmitted from this transducer.
+     * @return True if there is a packet being transmitted from this transducer.
      */
     virtual bool IsTx() const = 0;
     /**
      * Get the list of overlapped (in time) packets at this transducer.
      *
-     * \return List of all packets currently crossing this node in the water.
+     * @return List of all packets currently crossing this node in the water.
      */
     virtual const ArrivalList& GetArrivalList() const = 0;
     /**
      * Set the receiver gain.
      *
-     * \param gainDb Gain added at receiver, in dB.
+     * @param gainDb Gain added at receiver, in dB.
      */
     virtual void SetRxGainDb(double gainDb) = 0;
     /**
      * Get the receiver gain added to signal at receiver in dB.
      *
-     * \return The gain (in dB).
+     * @return The gain (in dB).
      */
     virtual double GetRxGainDb() = 0;
     /**
      * Apply receiver gain in dB to the received power.
-     * \param rxPowerDb Signal power in dB of arriving packet.
-     * \param mode Mode arriving packet is using.
+     * @param rxPowerDb Signal power in dB of arriving packet.
+     * @param mode Mode arriving packet is using.
      *
-     * \return Updated receive power (in dB) with gain applied.
+     * @return Updated receive power (in dB) with gain applied.
      */
     virtual double ApplyRxGainDb(double rxPowerDb, UanTxMode mode) = 0;
     /**
      * Notify this object that a new packet has arrived at this nodes location
      *
-     * \param packet Packet arriving.
-     * \param rxPowerDb Signal power in dB of arriving packet.
-     * \param txMode Mode arriving packet is using.
-     * \param pdp PDP of arriving signal.
+     * @param packet Packet arriving.
+     * @param rxPowerDb Signal power in dB of arriving packet.
+     * @param txMode Mode arriving packet is using.
+     * @param pdp PDP of arriving signal.
      */
     virtual void Receive(Ptr<Packet> packet, double rxPowerDb, UanTxMode txMode, UanPdp pdp) = 0;
     /**
      * Transmit a packet from this transducer.
      *
-     * \param src Source PHY.
-     * \param packet Packet to transmit.
-     * \param txPowerDb Outgoing Tx power of packet.
-     * \param txMode Mode to transmit packet with.
+     * @param src Source PHY.
+     * @param packet Packet to transmit.
+     * @param txPowerDb Outgoing Tx power of packet.
+     * @param txMode Mode to transmit packet with.
      */
     virtual void Transmit(Ptr<UanPhy> src,
                           Ptr<Packet> packet,
@@ -223,13 +223,13 @@
     /**
      * Attach this transducer to a channel.
      *
-     * \param chan The channel
+     * @param chan The channel
      */
     virtual void SetChannel(Ptr<UanChannel> chan) = 0;
     /**
      * Get the attached channel.
      *
-     * \return The channel.
+     * @return The channel.
      */
     virtual Ptr<UanChannel> GetChannel() const = 0;
     /**
@@ -237,13 +237,13 @@
      *
      * More than one physical layer may be attached.
      *
-     * \param phy The physical layer.
+     * @param phy The physical layer.
      */
     virtual void AddPhy(Ptr<UanPhy> phy) = 0;
     /**
      * Get the list of physical layer above this transducer.
      *
-     * \return List of attached physical layers.
+     * @return List of attached physical layers.
      */
     virtual const UanPhyList& GetPhyList() const = 0;
     /**
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/uan/model/uan-transducer-hd.cc ns-3.44/src/uan/model/uan-transducer-hd.cc
--- ns-3.43/src/uan/model/uan-transducer-hd.cc	2024-10-09 16:41:10.104656700 -0700
+++ ns-3.44/src/uan/model/uan-transducer-hd.cc	2025-03-09 16:55:49.751372600 -0700
@@ -27,7 +27,7 @@
 UanTransducerHd::UanTransducerHd()
     : UanTransducer(),
       m_state(RX),
-      m_endTxTime(Seconds(0)),
+      m_endTxTime(),
       m_cleared(false),
       m_rxGainDb(0)
 {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/uan/model/uan-transducer-hd.h ns-3.44/src/uan/model/uan-transducer-hd.h
--- ns-3.43/src/uan/model/uan-transducer-hd.h	2024-10-09 16:41:10.104656700 -0700
+++ ns-3.44/src/uan/model/uan-transducer-hd.h	2025-03-09 16:55:49.751372600 -0700
@@ -17,7 +17,7 @@
 {
 
 /**
- * \ingroup uan
+ * @ingroup uan
  *
  * Half duplex implementation of transducer object
  *
@@ -34,7 +34,7 @@
 
     /**
      * Register this type.
-     * \return The object TypeId.
+     * @return The object TypeId.
      */
     static TypeId GetTypeId();
 
@@ -57,7 +57,7 @@
   private:
     State m_state;             //!< Transducer state.
     ArrivalList m_arrivalList; //!< List of arriving packets which overlap in time.
-    UanPhyList m_phyList;      //!< List of physical layers attached above this tranducer.
+    UanPhyList m_phyList;      //!< List of physical layers attached above this transducer.
     Ptr<UanChannel> m_channel; //!< The attached channel.
     EventId m_endTxEvent;      //!< Event scheduled for end of transmission.
     Time m_endTxTime;          //!< Time at which transmission will be completed.
@@ -67,7 +67,7 @@
     /**
      * Remove an entry from the arrival list.
      *
-     * \param arrival The packet arrival to remove.
+     * @param arrival The packet arrival to remove.
      */
     void RemoveArrival(UanPacketArrival arrival);
     /** Handle end of transmission event. */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/uan/model/uan-tx-mode.h ns-3.44/src/uan/model/uan-tx-mode.h
--- ns-3.43/src/uan/model/uan-tx-mode.h	2024-10-09 16:41:10.104656700 -0700
+++ ns-3.44/src/uan/model/uan-tx-mode.h	2025-03-09 16:55:49.755372500 -0700
@@ -20,7 +20,7 @@
 class UanTxMode;
 
 /**
- * \ingroup uan
+ * @ingroup uan
  *
  * Abstraction of packet modulation information.
  *
@@ -48,49 +48,49 @@
     /**
      * Get the modulation type of the mode.
      *
-     * \return The modulation type.
+     * @return The modulation type.
      */
     ModulationType GetModType() const;
     /**
      * Get the data rate of the transmit mode.
      *
-     * \return Data rate of the TX mode, in bits per second.
+     * @return Data rate of the TX mode, in bits per second.
      */
     uint32_t GetDataRateBps() const;
     /**
      * Get the physical signaling rate.
      *
-     * \return PHY rate in symbols per second.
+     * @return PHY rate in symbols per second.
      */
     uint32_t GetPhyRateSps() const;
     /**
      * Get the transmission center frequency.
      *
-     * \return Center frequency, in Hz.
+     * @return Center frequency, in Hz.
      */
     uint32_t GetCenterFreqHz() const;
     /**
      * Get the transmission signal bandwidth.
      *
-     * \return Bandwidth in Hz.
+     * @return Bandwidth in Hz.
      */
     uint32_t GetBandwidthHz() const;
     /**
      * Get the number of constellation points in the modulation scheme.
      *
-     * \return Number of constellation points.
+     * @return Number of constellation points.
      */
     uint32_t GetConstellationSize() const;
     /**
      * Get the mode name.
      *
-     * \return Name
+     * @return Name
      */
     std::string GetName() const;
     /**
      * Get a unique id for the mode.
      *
-     * \return Unique ID.
+     * @return Unique ID.
      */
     uint32_t GetUid() const;
 
@@ -106,22 +106,22 @@
 /**
  * Writes tx mode entry to stream os.
  *
- * \param os The output stream.
- * \param mode The mode.
- * \return The stream.
+ * @param os The output stream.
+ * @param mode The mode.
+ * @return The stream.
  */
 std::ostream& operator<<(std::ostream& os, const UanTxMode& mode);
 /**
  * Reads tx mode entry from stream is
  *
- * \param is The input stream.
- * \param mode The mode.
- * \return The stream.
+ * @param is The input stream.
+ * @param mode The mode.
+ * @return The stream.
  */
 std::istream& operator>>(std::istream& is, UanTxMode& mode);
 
 /**
- * \ingroup uan
+ * @ingroup uan
  *
  * Global database of UanTxMode objects, retrievable by id or name.
  */
@@ -133,15 +133,15 @@
 
     /**
      *
-     * \param type Modulation type.
-     * \param dataRateBps Data rate in BPS.
-     * \param phyRateSps  Symbol rate in symbols per second.
-     * \param cfHz Center frequency in Hz.
-     * \param bwHz Bandwidth in Hz.
-     * \param constSize Modulation constellation size (2 for BPSK, 4 for QPSK).
-     * \param name Unique string name for this transmission mode.
+     * @param type Modulation type.
+     * @param dataRateBps Data rate in BPS.
+     * @param phyRateSps  Symbol rate in symbols per second.
+     * @param cfHz Center frequency in Hz.
+     * @param bwHz Bandwidth in Hz.
+     * @param constSize Modulation constellation size (2 for BPSK, 4 for QPSK).
+     * @param name Unique string name for this transmission mode.
      *
-     * \return the transmit mode object
+     * @return the transmit mode object
      */
     static UanTxMode CreateMode(UanTxMode::ModulationType type,
                                 uint32_t dataRateBps,
@@ -154,15 +154,15 @@
     /**
      * Get a mode by name.
      *
-     * \param name String name of mode.
-     * \return Mode with given name.
+     * @param name String name of mode.
+     * @return Mode with given name.
      */
     static UanTxMode GetMode(std::string name);
     /**
      * Get a mode by id.
      *
-     * \param uid Unique ID of mode.
-     * \return The mode with given uid.
+     * @param uid Unique ID of mode.
+     * @return The mode with given uid.
      */
     static UanTxMode GetMode(uint32_t uid);
 
@@ -171,7 +171,7 @@
     uint32_t m_nextUid; //!< next id number
 
     /**
-     * \ingroup uan
+     * @ingroup uan
      * Container for the UanTxMode properties.
      */
     struct UanTxModeItem
@@ -189,7 +189,7 @@
     /**
      * Container for modes
      *
-     * \internal
+     * @internal
      *   Accessed internally by uid and name, so a multimap might be more
      *   appropriate.  If name accesses are predominant, perhaps a map
      *   indexed by name, with a find for uid.  If accesses by uid dominate
@@ -200,49 +200,49 @@
     /**
      * Check if the mode \pname{name} already exists.
      *
-     * \param name The mode name to test.
-     * \return True if \pname{name} exists.
+     * @param name The mode name to test.
+     * @return True if \pname{name} exists.
      */
     bool NameUsed(std::string name);
 
     /**
      * Construct and get the static global factory instance.
      *
-     * \return The global instance.
+     * @return The global instance.
      */
     static UanTxModeFactory& GetFactory();
 
     /**
      * Get a mode by id.
      *
-     * \param uid The unique id to find.
-     * \return The corresponding mode.
+     * @param uid The unique id to find.
+     * @return The corresponding mode.
      */
     UanTxModeItem& GetModeItem(uint32_t uid);
 
     /**
      * Get a mode by name.
-     * \param name The mode name to find.
-     * \return The corresponding mode.
+     * @param name The mode name to find.
+     * @return The corresponding mode.
      */
     UanTxModeItem& GetModeItem(std::string name);
 
     /**
      * Create a public UanTxMode from an internal UanTxModeItem.
      *
-     * \param item The UanTxModeItem to reference.
-     * \return A public UanTxMode.
+     * @param item The UanTxModeItem to reference.
+     * @return A public UanTxMode.
      */
     UanTxMode MakeModeFromItem(const UanTxModeItem& item);
 
 }; // class UanTxModeFactory
 
 /**
- * \ingroup uan
+ * @ingroup uan
  *
  * Container for UanTxModes.
  *
- * \see attribute_UanModesList
+ * @see attribute_UanModesList
  */
 class UanModesList
 {
@@ -252,25 +252,25 @@
 
     /**
      * Add mode to this list.
-     * \param mode The mode to add.
+     * @param mode The mode to add.
      */
     void AppendMode(UanTxMode mode);
     /**
      * Delete the mode at given index.
-     * \param num Index of mode to delete.
+     * @param num Index of mode to delete.
      */
     void DeleteMode(uint32_t num);
     /**
      * Retrieve a mode by index.
      *
-     * \param index Mode index.
-     * \return Mode at given index.
+     * @param index Mode index.
+     * @return Mode at given index.
      */
     UanTxMode operator[](uint32_t index) const;
     /**
      * Get the number of modes in this list.
      *
-     * \return Number of modes.
+     * @return Number of modes.
      */
     uint32_t GetNModes() const;
 
@@ -286,17 +286,17 @@
 /**
  * Write UanModesList to stream os
  *
- * \param os The output stream.
- * \param ml The mode list.
- * \return The stream.
+ * @param os The output stream.
+ * @param ml The mode list.
+ * @return The stream.
  */
 std::ostream& operator<<(std::ostream& os, const UanModesList& ml);
 /**
  * Read UanModesList from stream is.
  *
- * \param is The input stream.
- * \param ml The mode list to fill.
- * \return The stream.
+ * @param is The input stream.
+ * @param ml The mode list to fill.
+ * @return The stream.
  */
 std::istream& operator>>(std::istream& is, UanModesList& ml);
 
